.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the SegmentShape2D.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_SegmentShape2D:

SegmentShape2D
==============

**Inherits:** :ref:`Shape2D<class_shape2d>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Segment shape for 2D collisions.

Member Variables
----------------

  .. _class_SegmentShape2D_a:

- :ref:`Vector2<class_vector2>` **a** - The segment's first point position.

  .. _class_SegmentShape2D_b:

- :ref:`Vector2<class_vector2>` **b** - The segment's second point position.


Description
-----------

Segment shape for 2D collisions. Consists of two points, ``a`` and ``b``.

